Bug 880363 - Error message displayed with letters separated by commas
Summary: Error message displayed with letters separated by commas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 20:11 UTC by Radek Steiger
Modified: 2013-11-21 10:59 UTC (History)
4 users (show)

Fixed In Version: luci-0.26.0-38.el6
Doc Type: Bug Fix
Doc Text:
(Ryan to review) Cause: Internal API misuse connected with Failover Domains tab in luci. Consequence: Validation error messages arising from failover domains configuration are presented in a character-by-character way. Fix: Related validation errors are internally passed in an expected way. Result: Validation error messages arising from failover domains configuration are presented in an expected way.
Clone Of:
Environment:
Last Closed: 2013-11-21 10:59:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 880358 0 medium CLOSED [RFE] luci unicode support 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2013:1603 0 normal SHIPPED_LIVE Moderate: luci security, bug fix, and enhancement update 2013-11-21 00:39:24 UTC

Internal Links: 880358

Description Radek Steiger 2012-11-26 20:11:29 UTC
Description of problem:
A funny-looking error message with all letters separated by commas is reported to the user in Failover Domains tab when a failover domain, containing non-literal or unicode characters, is submitted for Update Properties.


Version-Release number of selected component (if applicable):
luci-0.26.0-26.el6.i686


How reproducible:
Always


Steps to Reproduce:
1. Create a cluster with a failover domain
2. In cluster.conf change the failover domain name to contain unicode/non-literal character
3. Redistribute the modified cluster.conf
   ccs_sync && cman_tool version -S -r
4. Open the failover domain in luci and hit Update Properties

  
Actual results:
An error message is given, looking like this:
N, o, , f, a, i, l, o, v, e, r, , d, o, m, a, i, n, , n, a, m, e, d, , ", d, o, m, %, C, 3, %, A, 9, n, a, ", , e, x, i, s, t, s


Expected results:
Either the domain is updated correctly, or the message should be better readable.


Additional info:
This bug might actually be related to unicode support request in bug 880358, therefore being a possible duplicate of it. Also, there's a bugreporting-related bug 849232.

Comment 4 Ryan McCabe 2012-11-28 18:58:09 UTC
commit 6dd7d119b3ad4fdb55f537044da32a8d37ea3003
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Wed Nov 28 13:56:14 2012 -0500

    luci: Fix garbled error messages
    
    Fix failover domain related error messages that were returned as
    strings instead of lists, causing the error messages to be garbled.
    
    Resolves: rhbz#880363
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

Comment 12 errata-xmlrpc 2013-11-21 10:59:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1603.html


Note You need to log in before you can comment on or make changes to this bug.